Subject: Re: MUSIBAU REPAIR ESTIMATE ON FST 481 HD==62792.
From: Emmanuel Nwachukwu <[email-masked]>
To: Raphael Peter <[email-masked]>
Cc: Michael Orimolade <[email-masked]>, Robert Iyade <[email-masked]>, Peace Anago <[email-masked]>, HertzMainland Intern <[email-masked]>, Jeremiah Balogun <[email-masked]>, Okoroafor Igwe <[email-masked]>, Kanu Chukwudi <[email-masked]>
Date: Wed, 10 Sep 2025 13:50:04 +0000

Nwachukwu emmanuel

Fleet maintenance officer

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

09092944104| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A blue circle with white text and a black background  Description automatically generated]

________________________________
From: Raphael Peter <[email-masked]>
Sent: Tuesday, August 26, 2025 4:34 PM
To: Emmanuel Nwachukwu <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Robert Iyade <[email-masked]>; Peace Anago <[email-masked]>; HertzMainland Intern <[email-masked]>; Jeremiah Balogun <[email-masked]>; Okoroafor Igwe <[email-masked]>; Kanu Chukwudi <[email-masked]>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

Dear Emma,

707,000.00 re-approved.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Emmanuel Nwachukwu <[email-masked]>
Sent: Tuesday, August 26, 2025 4:13 PM
To: Raphael Peter <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Raphael Peter <[email-masked]>; Robert Iyade <[email-masked]>; Peace Anago <[email-masked]>; HertzMainland Intern <[email-masked]>; Jeremiah Balogun <[email-masked]>; Okoroafor Igwe <[email-masked]>; Kanu Chukwudi <[email-masked]>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

Dear Raphel,
Kindly acknowledge the review below, so we can close out with workshop.

FST 481 HD.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

AUDIT APPROVAL

  LAST

  PRICE

REVIEW

Head lamp

RHS

340,000

180,000

310,000

230,000

Head lamp bulbs

LED

35,000

30,000

30,000

30,000

Front bumper

285,000

150,000

255,000

175,000

Side bumper bracket

45,000

30,000

30,000

30,000

Sand protector

48,000

30,000

30,000

30,000

Sand protector clips

7,000

7,000

7,000

7,000

Panel beating materials

55,000

45,000

45,000

45,000

Painting materials

165,000

110,000

135,000

110,000

Labor

150,000

50,000

100,000

50,000

TOTAL

1,130,000

632,000

942,000

707,000

Nwachukwu emmanuel

Fleet maintenance officer

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

09092944104| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A blue circle with white text and a black background  Description automatically generated]

________________________________
From: Emmanuel Nwachukwu <[email-masked]>
Sent: Tuesday, August 26, 2025 4:10 PM
To: Kanu Chukwudi <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Raphael Peter <[email-masked]>; Robert Iyade <[email-masked]>; Peace Anago <[email-masked]>; HertzMainland Intern <[email-masked]>; Jeremiah Balogun <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

Dear Raphel,
Kindly acknowledge the review below, so we can close out with workshop.

FST 481 HD.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

AUDIT APPROVAL

  LAST

  PRICE

REVIEW

Head lamp

RHS

340,000

180,000

310,000

230,000

Head lamp bulbs

LED

35,000

30,000

30,000

30,000

Front bumper

285,000

150,000

255,000

175,000

Side bumper bracket

45,000

30,000

30,000

30,000

Sand protector

48,000

30,000

30,000

30,000

Sand protector clips

7,000

7,000

7,000

7,000

Panel beating materials

55,000

45,000

45,000

45,000

Painting materials

165,000

110,000

135,000

110,000

Labor

150,000

50,000

100,000

50,000

TOTAL

1,130,000

632,000

942,000

707,000

Nwachukwu emmanuel

Fleet maintenance officer

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

09092944104| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A blue circle with white text and a black background  Description automatically generated]

________________________________
From: Kanu Chukwudi <[email-masked]>
Sent: Tuesday, August 26, 2025 3:49 PM
To: Emmanuel Nwachukwu <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Raphael Peter <[email-masked]>; Robert Iyade <[email-masked]>; Peace Anago <[email-masked]>; HertzMainland Intern <[email-masked]>; Jeremiah Balogun <[email-masked]>
Subject: RE: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

See review below................

FST 481 HD.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

AUDIT APPROVAL

  LAST

  PRICE

REVIEW

Head lamp

RHS

340,000

180,000

310,000

230,000

Head lamp bulbs

LED

35,000

30,000

30,000

30,000

Front bumper

285,000

150,000

255,000

175,000

Side bumper bracket

45,000

30,000

30,000

30,000

Sand protector

48,000

30,000

30,000

30,000

Sand protector clips

7,000

7,000

7,000

7,000

Panel beating materials

55,000

45,000

45,000

45,000

Painting materials

165,000

110,000

135,000

110,000

Labor

150,000

50,000

100,000

50,000

TOTAL

1,130,000

632,000

942,000

707,000

Chuks Kanu

Team Lead Maintenance

C & I Leasing PLC | Leasing house, Off Oginigba,Elekahia Link Road, Trans-Amadi, PH.

08172007273 | [email-masked]|<mailto:[email-masked]%7C> www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with blue and black logo  Description automatically generated]

From: Emmanuel Nwachukwu <[email-masked]>
Sent: Tuesday, 26 August 2025 10:12
To: Kanu Chukwudi <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Raphael Peter <[email-masked]>; Robert Iyade <[email-masked]>; Peace Anago <[email-masked]>; HertzMainland Intern <[email-masked]>; Kanu Chukwudi <[email-masked]>; Jeremiah Balogun <[email-masked]>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

Dear Kanu,

Kindly advise further based on the below request from Musibau workshopo.

Please note that the previously provided estimated total was incorrect; it has now been corrected.

We apologise for any inconvenience this may have caused.

FST 481 HD.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

AUDIT APPROVAL

  LAST

  PRICE

Head lamp

RHS

340,000

180,000

310,000

Head lamp bulbs

LED

35,000

30,000

30,000

Front bumper

285,000

150,000

255,000

Side bumper bracket

45,000

30,000

30,000

Sand protector

48,000

30,000

30,000

Sand protector clips

7,000

7,000

7,000

Panel beating materials

55,000

45,000

45,000

Painting materials

165,000

110,000

135,000

Labor

150,000

50,000

100,000

TOTAL

1,130,000

632,000

942,000

Nwachukwu emmanuel

Fleet maintenance officer

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

09092944104| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A blue circle with white text and a black background  Description automatically generated]

________________________________

From: Mbashiru Omotayo <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, August 21, 2025 9:38 AM
To: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Peace Anago <[email-masked]<mailto:[email-masked]>>; HertzMainland Intern <[email-masked]<mailto:[email-masked]>>; Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>; Jeremiah Balogun <[email-masked]<mailto:[email-masked]>>
Subject: RE: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

Dear Emma,

Please find audit reviewed approval below.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

MAINT APPROVAL

HOD APPROVAL

AUDIT APPROVAL

Head lamp

RHS

340,000

250,000

180,000

180,000

Head lamp bulbs

LED

35,000

30,000

30,000

30,000

Front bumper

285,000

220,000

150,000

150,000

Side bumper bracket

45,000

40,000

40,000

30,000

Sand protector

48,000

40,000

40,000

30,000

Sand protector clips

7,000

7,000

7,000

7,000

Panel beating materials

55,000

45,000

45,000

45,000

Painting materials

165,000

110,000

110,000

110,000

Labor

150,000

90,000

90,000

50,000

TOTAL

945,000

832,000

712,000

632,000

Regards,

Mbashiru Omotayo.
Audit & Compliance | C & I Leasing PLC| Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172007216 | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

From: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, 21 August 2025 09:15
To: Mbashiru Omotayo <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Peace Anago <[email-masked]<mailto:[email-masked]>>; HertzMainland Intern <[email-masked]<mailto:[email-masked]>>; Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

Dear Bash,

Kindly approve further.

FST 481 HD==62792.



DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

MAINT APPROVAL

HOD APPROVAL

AUDIT APPROVAL

Head lamp

RHS

340,000

250,000

180,000

Head lamp bulbs

LED

35,000

30,000

30,000

Front bumper

285,000

220,000

150,000

Side bumper bracket

45,000

40,000

40,000

Sand protector

48,000

40,000

40,000

Sand protector clips

7,000

7,000

7,000

Panel beating materials

55,000

45,000

45,000

Painting materials

165,000

110,000

110,000

Labor

150,000

90,000

90,000

TOTAL

945,000

832,000

712,000

Nwachukwu emmanuel

Fleet maintenance officer

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

09092944104| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A blue circle with white text and a black background  Description automatically generated]

________________________________

From: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, August 20, 2025 11:48 AM
To: Mbashiru Omotayo <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

Dear Bash,

Kindly approve further.

FST 481 HD==62792.



DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

MAINT APPROVAL

HOD APPROVAL

AUDIT APPROVAL

Head lamp

RHS

340,000

250,000

180,000

Head lamp bulbs

LED

35,000

30,000

30,000

Front bumper

285,000

220,000

150,000

Side bumper bracket

45,000

40,000

40,000

Sand protector

48,000

40,000

40,000

Sand protector clips

7,000

7,000

7,000

Panel beating materials

55,000

45,000

45,000

Painting materials

165,000

110,000

110,000

Labor

150,000

90,000

90,000

TOTAL

945,000

832,000

712,000

Nwachukwu emmanuel

Fleet maintenance officer

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

09092944104| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A blue circle with white text and a black background  Description automatically generated]

________________________________

From: Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, August 20, 2025 10:51 AM
To: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>
Subject: RE: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

See approval below.............

FST 481 HD==62792.



DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

MAINT APPROVAL

HOD APPROVAL

AUDIT APPROVAL

Head lamp

RHS

340,000

250,000

180,000

Head lamp bulbs

LED

35,000

30,000

30,000

Front bumper

285,000

220,000

150,000

Side bumper bracket

45,000

40,000

40,000

Sand protector

48,000

40,000

40,000

Sand protector clips

7,000

7,000

7,000

Panel beating materials

55,000

45,000

45,000

Painting materials

165,000

110,000

110,000

Labor

150,000

90,000

90,000

TOTAL

945,000

832,000

712,000

Chuks Kanu

Team Lead Maintenance

C & I Leasing PLC | Leasing house, Off Oginigba,Elekahia Link Road, Trans-Amadi, PH.

08172007273 | [email-masked]|<mailto:[email-masked]%7C> www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with blue and black logo  Description automatically generated]

From: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, 20 August 2025 09:14
To: Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

Dear Kanu,

Kindly review and approve.

FST 481 HD==62792.



DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

MAINT APPROVAL

HOD APPROVAL

AUDIT APPROVAL

Head lamp

RHS

340,000

250,000

Head lamp bulbs

LED

35,000

30,000

Front bumper

285,000

220,000

Side bumper bracket

45,000

40,000

Sand protector

48,000

40,000

Sand protector clips

7,000

7,000

Panel beating materials

55,000

45,000

Painting materials

165,000

110,000

Labor

150,000

90,000

TOTAL

945,000

832,000

Nwachukwu emmanuel

Fleet maintenance officer

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

09092944104| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A blue circle with white text and a black background  Description automatically generated]

________________________________

From: Emmanuel Nwachukwu
Sent: Tuesday, August 19, 2025 3:22 PM
To: Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>
Subject: MUSIBAU REPAIR ESTIMATE ON FST 482 HD==62792.

Dear Kanu,

Kindly review and approve.

FST 481 HD==62792.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

MAINT APPROVAL

HOD APPROVAL

AUDIT APPROVAL

Head lamp

RHS

340,000

250,000

Head lamp bulbs

LED

35,000

30,000

Front bumper

285,000

220,000

Side bumper bracket

45,000

40,000

Sand protector

48,000

40,000

Sand protector clips

7,000

7,000

Panel beating materials

55,000

45,000

Painting materials

165,000

110,000

Labor

150,000

90,000

TOTAL

945,000

832,000

Nwachukwu emmanuel

Fleet maintenance officer

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

09092944104| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A blue circle with white text and a black background  Description automatically generated]